#ifndef FABRIQUESOMME_H
#define FABRIQUESOMME_H

#include <unknwn.h>

// ----------------------------------------------------
// Classe FabriqueSomme. Instancie COMSomme sur demande
// ----------------------------------------------------
class FabriqueSomme : public IClassFactory
{
public:
   // Pour IUnknown
   unsigned long __stdcall AddRef ();
   unsigned long __stdcall Release ();
   HRESULT __stdcall QueryInterface (REFIID riid, void **ppv);
   // Pour IClassFactory
   HRESULT __stdcall CreateInstance (IUnknown *pUnkOuter,
                                     REFIID riid,
                                     void **ppv);
   HRESULT __stdcall LockServer (BOOL Verrou);
   // constructeur et destructeur 
   FabriqueSomme ();
   ~FabriqueSomme ();
private:
   // Compteur de rfrences (interne  l'objet)
   unsigned long m_CptRef;
};


#endif // !defined FABRIQUESOMME_H

