#include "GestionnaireDeVerrou.h"
#include "Mutex.h"

GestionnaireDeVerrou GestionnaireDeVerrou::Singleton;

GestionnaireDeVerrou::GestionnaireDeVerrou()
   : m_CptVerrou (0), m_Mutex (new Mutex ())
{
}

void GestionnaireDeVerrou::Incrementer()
{
   m_Mutex->Obtenir ();
   m_CptVerrou++;
   m_Mutex->Relacher ();
}

void GestionnaireDeVerrou::Decrementer()
{
   m_Mutex->Obtenir ();
   m_CptVerrou--;
   m_Mutex->Relacher ();
}

bool GestionnaireDeVerrou::EstVide() const
{
   return m_CptVerrou == 0;
}

GestionnaireDeVerrou::~GestionnaireDeVerrou()
{
   delete m_Mutex;
}
